Skip to content

Import a bulk translation file into Vault. While an exported bulk translation file can contain only one (1) language, your import file may include multiple languages. Vault reads the language value separately for each row and applies any new translations immediately. Vault ignores any rows without changes. Learn more about the translation file schema in Vault Help.

You must have the Admin: Language: Edit permission to import a bulk translation file to Vault.

Upload the CSV file to your Vault’s file staging server before making this request.

  • The maximum CSV input file size is 1GB.
  • The values in the input must be UTF-8 encoded.
  • CSVs must follow the standard RFC 4180 format, with some exceptions.
POST/api/{version}/messages/{message_type}/actions/import
NameDescription
Acceptapplication/json (default) or application/xml
Content-Typeapplication/x-www-form-urlencoded
NameDescription
{message_type}The message type name: field_labels__sys, system_messages__sys, notification_template_messages__sys, or user_account_messages__sys.
NameDescription
file_pathThe file path of the CSV file on the file staging server. Cannot contain ../ or any other path traversal directives.
curl -X POST -H "Authorization: {SESSION_ID}" \ -d "file_path=PromoMats_English_Field-Labels_5-29-24_15-34-10.csv" \ https://myvault.veevavault.com/api/v24.2/messages/field_labels__sys/actions/import
{ "responseStatus": "SUCCESS", "data": { "url": "/api/v24.2/services/jobs/902601", "jobId": "902601" } }

On SUCCESS, the response includes the job_id which allows you to: